const XUL_NS = "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul";

function versionCheck(v)
{
  var nsIXULAppInfo = Components.classes["@mozilla.org/xre/app-info;1"]
                                .getService(Components.interfaces.nsIXULAppInfo);
  var nsIVersionComparator = Components.classes["@mozilla.org/xpcom/version-comparator;1"]
                                       .getService(Components.interfaces.nsIVersionComparator);
  //alert( nsIVersionComparator.compare("1.5.0.4", v) );
  return ( nsIVersionComparator.compare(nsIXULAppInfo.version, v) <= 0 );
}

function disableIfNeeded()
{
  
  var cbxs = document.getElementsByTagNameNS(XUL_NS, "checkbox");
  var i;
  
  for(i = 0 ; i < cbxs.length ; i++)
  {
    var cbx = cbxs[i];
    if ( cbx.hasAttribute("maxversion") )
    {
      var ok = versionCheck( cbx.getAttribute("maxversion") );
      cbx.disabled = !ok;
    }
  }
}

function restartFX() 
{
  var appStartup = Components.classes["@mozilla.org/toolkit/app-startup;1"]
                             .getService(Components.interfaces.nsIAppStartup);
  appStartup.quit(appStartup.eForceQuit | appStartup.eRestart);
}

function resize() 
{
  var pw = document.getElementById('toolbarcleanupPreferences').currentPane;
  window.sizeToContent();
  pw && ( window.outerHeight = 160 + pw.contentHeight ); 
}

function load() 
{
  window.setTimeout(resize, 50);
  disableIfNeeded();
}
